# ssh 접속방법
`ssh root@192.168.100.91 -p 10003`

# 디렉토리 구조
```
.
|-- Public
|   |-- data
|   |   |-- train
|   |   |   |-- images
|   |   |   `-- labels
|   |   `-- val
|   |       |-- images
|   |       `-- labels
|   `-- pretrained
├── (name1)
│   └── helmet_det
│       ├── README.md
│       └── yolov7
.
.
.
```

각자 성함으로 폴더를 만드시고 해당 폴더안에서 git clone 하여 작업하시면 될 것 같습니다.

cuda를 사용하실 경우 터미널에서 nvidia-smi 확인하시고 빈 디바이스 사용해서 학습 돌리시면 됩니다.


# train
`python train.py --workers 8 --device 0 --batch-size 32 --data data/coco_copy.yaml --img 640 640 --cfg cfg/training/yolov7_custom.yaml --weights '/root/Public/pretrained/yolov7_training.pt' --name yolov7-helmet_det --hyp data/hyp.scratch.custom.yaml --epochs 20`

`train.py` 의 `args` 참고하셔서 원하시는대로 변경 후 학습 결과 비교하시면 됩니다.
- cfg/*.yaml 파일 변경하시는 경우 꼭 number of classes는 변경하시면 안됩니다. 현재 {0:helmet, 1:person, 2:head}로 nc는 3 입니다.
- 이미지 사이즈도 640*640 으로 고정하는게 학습결과 비교하기 좋을 것 같습니다. (yolo pretrain 이미지 사이즈)
학습 결과는 `https://wandb.ai/wsangbae/helmet-det/runs/2tbbj4db?workspace=user-wsangbae` 에서 확인하실 수 있습니다.